Subject: Avoid Rush Delivery Rates... Place Orders For gift-Baskets Today.

From: "Valentine Gift Baskets" <[email-masked]>
Date: Mon, 2 Nov 2015 12:45:28 -0800

Avoid Rush Delivery Rates... Place Orders For gift-Baskets Today.